Name:           gnash
Version:        0.8.1
Release:        1%{?dist}
Summary:        GNU flash movie player

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://www.gnu.org/software/gnash/
Source0:        http://ftp.gnu.org/gnu/gnash/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml2-devel libpng-devel libjpeg-devel libogg-devel
BuildRequires:  boost-devel curl-devel 
# the opengl devel packages are required by gtkglext-devel
# monolithic Xorg
#BuildRequires:  xorg-x11-devel
# modular Xorg 
#BuildRequires:  libGLU-devel libGL-devel
BuildRequires:  SDL-devel 
BuildRequires:  gstreamer-devel >= 0.10
BuildRequires:  agg-devel
BuildRequires:  gtk2-devel
BuildRequires:  libXt-devel 

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Gnash is a GNU Flash movie player based on GameSWF,
and supports many SWF v7 features.

%package plugin
Summary:   Web-client flash movie player plugin 
Requires:  %{name} = %{version}-%{release}
# this doesn't prevent wrong dependencies, in case a package
# provides %%{_libdir}/mozilla/plugins (like kdebase for konqueror)
# and another unrelated webbrowser is installed, like w3m-el.
# Moreover konqueror could provide webclient some day
Requires:  %{_libdir}/mozilla/plugins webclient
Group:     Applications/Internet

%description plugin
The gnash flash movie player plugin for firefox or mozilla.

%prep
%setup -q

%build
%configure --disable-static --with-plugindir=%{_libdir}/mozilla/plugins \
  --enable-sound=GST --enable-renderer=agg \
  --disable-dependency-tracking --disable-rpath \
  --with-extentions=gtk2 --disable-klash \
  --enable-media=GST --enable-gui="gtk"  --disable-glext

make 


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnash/*.la
#rm -f \
# $RPM_BUILD_ROOT/%{_libdir}/libgnashamf.so \
# $RPM_BUILD_ROOT/%{_libdir}/libgnashbackend.so \
# $RPM_BUILD_ROOT/%{_libdir}/libgnashbase.so \
# $RPM_BUILD_ROOT/%{_libdir}/libgnashserver.so \
# $RPM_BUILD_ROOT/%{_libdir}/libgnashgeo.so \
# $RPM_BUILD_ROOT/%{_libdir}/libgnashgui.so \
# $RPM_BUILD_ROOT/%{_libdir}/libgnashplayer.so

rm -rf $RPM_BUILD_ROOT/%{_localstatedir}/scrollkeeper
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

# don't package libltdl related files!
rm -f \
 $RPM_BUILD_ROOT/%{_libdir}/gnash/libltdl* \
 $RPM_BUILD_ROOT/%{_includedir}/ltdl.h
# asspec info isn't generated rightly
rm -f \
 $RPM_BUILD_ROOT%{_infodir}/asspec.info
# omf is broken
rm -rf \
 $RPM_BUILD_ROOT/%{_datadir}/omf
# cygnal just segfaults
#rm -f \
# $RPM_BUILD_ROOT/%{_bindir}/cygnal

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post 
/sbin/ldconfig

%preun

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS 
%doc doc/C/gnash.html 
%doc doc/C/images
%{_bindir}/gtk-gnash
%{_bindir}/gnash
%{_bindir}/gparser
%{_bindir}/gprocessor
%{_libdir}/gnash/
%{_mandir}/man1/gnash*
%{_datadir}/gnash/

%files plugin
%defattr(-,root,root,-)
%{_libdir}/mozilla/plugins/libgnashplugin.so

%changelog
* Tue Sep 11 2007 John (J5) Palmieri <johnp@redhat.com> - 0.8.1-1
- update to release

* Wed Jul 18 2007 John (J5) Palmieri <johnp@redhat.com> - 0.8.1-0.1.20070718cvs
- update to CVS snapshot

* Wed Jul 11 2007 John (J5) Palmieri <johnp@redhat.com> - 0.8.0-4
- remove scrollkeeper dependencies

* Thu Jun 21 2007 John (J5) Palmieri <johnp@redhat.com> - 0.8.0-3
- remove the smp flags as gnash has an issue with them

* Mon Jun 18 2007 John (J5) Palmieri <johnp@redhat.com> - 0.8.0-2
- use --with-extentions=gtk2 instead of --enable-extentions
- fix previous changelog entry's date 
- add a BR on agg-devel

* Mon Jun 18 2007 John (J5) Palmieri <johnp@redhat.com> - 0.8.0-1
- Update to 0.8.0
- remove kde build
- build for OLPC

* Wed May  9 2007 Patrice Dumas <pertusus@free.fr> 0.7.2-2
- fix CVE-2007-2500 (fix 239213)

* Sat Nov  6 2006 Patrice Dumas <pertusus@free.fr> 0.7.2-1
- update for 0.7.2 release.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.7.1-9
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sun Sep 24 2006 Patrice Dumas <pertusus@free.fr> 0.7.1-8
- plugin requires %%{_libdir}/mozilla/plugins. Fix (incompletly and 
  temporarily, but there is no better solution yet) #207613

* Sun Aug 27 2006 Patrice Dumas <pertusus@free.fr> - 0.7.1-7
- add defattr for klash
- add warnings in the description about stability

* Mon Aug 21 2006 Patrice Dumas <pertusus@free.fr> - 0.7.1-6
- remove superfluous buildrequires autoconf
- rename last patch to gnash-plugin-tempfile-dir.patch
- add README.fedora to plugin to explain tmpdirs

* Wed Aug 16 2006 Jens Petersen <petersen@redhat.com> - 0.7.1-5
- source qt.sh and configure --with-qtdir (Dominik Mierzejewski)
- add plugin-tempfile-dir.patch for plugin to use a safe tempdir

* Fri Jul 28 2006 Jens Petersen <petersen@redhat.com> - 0.7.1-4
- buildrequire autotools (Michael Knox)

* Fri Jun  2 2006 Patrice Dumas <pertusus@free.fr> - 0.7.1-3
- add gnash-continue_on_info_install_error.patch to avoid
- buildrequire libXmu-devel

* Wed May 17 2006 Jens Petersen <petersen@redhat.com> - 0.7.1-2
- configure with --disable-rpath
- buildrequire docbook2X
- remove devel files

* Sun May  7 2006 Jens Petersen <petersen@redhat.com> - 0.7.1-1
- update to 0.7.1 alpha release

* Sat Apr  22 2006 Rob Savoye <rob@welcomehome.org> - 0.7-1
- install the info file. Various tweaks for my system based on
Patrice's latest patch,

* Fri Feb  3 2006 Patrice Dumas <dumas@centre-cired.fr> - 0.7-1
- initial packaging
